#ifdef VHDL_TESTBENCH
/*
 * $Id: Interface_fifo_testbench.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface_fifo.h"
#include "Behavioural/include/Entity.h"

namespace morpheo              {
namespace behavioural          {

  void Interface_fifo::testbench (void)
  {
    log_printf(FUNC,Behavioural,"testbench","Begin");

    if (_test_exhaustive or testbench_transaction())
      testbench_cycle ();
    
    Interface::testbench_cycle ();
    Interface::testbench();

    log_printf(FUNC,Behavioural,"testbench","End");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
